Method: iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.views.updateIcebergView

Updates a view in the namespace. This is CommitView Iceberg API, which maps to views.updateIcebergView in the Google API nomenclature.

HTTP request


POST https://biglake.googleapis.com/iceberg/v1/restcatalog/v1/{name=projects/*/catalogs/*/namespaces/*/views/*}

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. View to commit in the format: projects/{projectId}/catalogs/{catalogId}/namespaces/{namespace}/views/{view}.

Request body

The request body contains data with the following structure:

JSON representation
{
  "httpBody": {
    object (HttpBody)
  }
}
Fields
httpBody

object (HttpBody)

Required. The raw HTTP body is bound to this field. Our handler will validate that contentType is application/json and that data adheres to the Apache Iceberg Rest Catalog Spec OpenAPI schema:

/components/schemas/CommitViewRequest

Response body

If successful, the response is a generic HTTP response whose format is defined by the method.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/bigquery
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.